import { FormSchema } from '@/components/Form';
import { BasicColumn } from '@/components/Table';
import moment from "moment";

export const searchFormSchema: FormSchema[] = [
  {
    field: 'APIName',
    label: '调用方',
    component: 'Select',
    colProps: { span: 8 },
    componentProps: {
      options: [
        { value: 'admin', label: 'admin' },
        { value: '个人', label: '个人' },
        { value: 'user', label: 'user' },
      ],
      defaultValue: 'admin',
    },
  },
  {
    field: 'callTime',
    label: '调用时间',
    component: 'RangePicker',
    colProps: { span: 8 },
    defaultValue: [moment().subtract(7, 'days').format('YYYY-MM-DD'), moment().format('YYYY-MM-DD')],
    componentProps: {

    },
  },
  {
    field: 'callUseTime',
    label: '调用有效期',
    component: 'DatePicker',
    colProps: { span: 8 },
  },
];

export const logSearchFormSchema: FormSchema[] = [
  {
    field: 'callTime',
    label: '调用时间',
    component: 'RangePicker',
    colProps: { span: 4 },
    // defaultValue: [moment().subtract(7, 'days').format('YYYY-MM-DD'), moment().format('YYYY-MM-DD')],
  },
];

export const columns: BasicColumn[] = [
  {
    title: 'gateway',
    dataIndex: 'gateway',
    width: 120,
  },
  {
    title: 'executor',
    dataIndex: 'executor',
    width: 120,
  },
  {
    title: '数据源',
    dataIndex: 'dataSource',
    width: 120,
  },
  {
    title: '调用方',
    dataIndex: 'useBy',
    width: 140,
  },
  {
    title: '开始时间',
    dataIndex: 'startTime',
    width: 140,
  },
  {
    title: '已耗时',
    dataIndex: 'consumeTime',
    width: 180,
  },
];

export const logColumns: BasicColumn[] = [
  {
    title: '路由名称',
    dataIndex: 'routerName',
    width: 120,
  },
  {
    title: 'IP',
    dataIndex: 'ipName',
    width: 120,
  },
  {
    title: '调用时间',
    dataIndex: 'useTime',
    width: 120,
  },
  {
    title: '调用状态',
    dataIndex: 'useStatus',
    width: 140,
  },
  {
    title: '调用时长',
    dataIndex: 'useTimeLength',
    width: 140,
  },
  {
    title: 'Http错误码',
    dataIndex: 'herrorNum',
    width: 180,
  },
  {
    title: '业务错误码',
    dataIndex: 'taskErrorNum',
    width: 180,
  },
  {
    title: '调用方',
    dataIndex: 'useBy',
    width: 180,
  },
];
